
Foreman - Bug #4555

Foreman doesn't validate peer certificate when connecting to ovirt

03/05/2014 12:24 PM - Amos Benari

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Security   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Ovirt sign it's https certificate with self-signed ca.

foreman needs to store the ca per ovirt compute resource to validate ovirt certificate.

Related issues:

Blocked by Foreman - Tracker #4582: Upgrade to fog > 1.20 Closed

Associated revisions

Revision 5f45920e - 03/24/2014 12:38 PM - Amos Benari

fixes #4555 add ca certificate to ovirt

History

#1 - 03/07/2014 08:44 AM - Dominic Cleal

- Blocked by Tracker #4582: Upgrade to fog > 1.20 added

#2 - 03/17/2014 09:45 AM - Dominic Cleal

- Category set to Security

- Status changed from New to Ready For Testing

- Target version set to 1.9.0

https://github.com/theforeman/foreman/pull/1271

#3 - 03/24/2014 12:42 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#4 - 03/24/2014 01:31 PM - Amos Benari

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5f45920ec482c3dde872aa390dbb2a7acc89d26d.
